
SETTINGS = {}; -- Table used when loading settings.


MYCHAR = Turbine.Gameplay.LocalPlayer.GetInstance();
MYMOUNT = MYCHAR:GetMount();

MYCHAR.MountChanged = function (sender,args)
	MountedChanged();
end

MYCHAR.InCombatChanged = function (sender,args)
	RefreshHUD();
end


SCREENWIDTH = Turbine.UI.Display.GetWidth();
SCREENHEIGHT = Turbine.UI.Display.GetHeight();

GOLDENROD = Turbine.UI.Color.Goldenrod;
DARKGOLDENROD = Turbine.UI.Color.DarkGoldenrod;
KHAKI = Turbine.UI.Color.Khaki;
DARKKHAKI = Turbine.UI.Color.DarkKhaki;

TrajanPro16 = Turbine.UI.Lotro.Font.TrajanPro16;
TrajanPro14 = Turbine.UI.Lotro.Font.TrajanPro14;
Verdana12 = Turbine.UI.Lotro.Font.Verdana12;
Verdana10 = Turbine.UI.Lotro.Font.Verdana10;


-- Detect client lang.
CLIENTLANG = "ENGLISH";
if Turbine.Engine:GetLanguage() == Turbine.Language.German then
	CLIENTLANG = "GERMAN";
elseif Turbine.Engine:GetLanguage() == Turbine.Language.French then
	CLIENTLANG = "FRENCH";
elseif Turbine.Engine:GetLanguage() == Turbine.Language.Russian then
	CLIENTLANG = "RUSSIAN";
end


-- Default Settings
DEFAULT_SETTINGS =
	{
	["LANGUAGE"] = CLIENTLANG;
	["MSGCOLOR"] = "FFFFFF";
	["HUDTYPE"] = _LANG.HUDs.SIMPLEABOVE[CLIENTLANG];
	["VALUEFORMAT"] = _LANG.VALUEFORMAT[1][CLIENTLANG];
	["BARWIDTH"] = 150;
	["BARHEIGHT"] = 9;
	["BARSPACE"] = 2;
	["COMBATFADE"] = false;
	["OCOPACITY"] = 0.1;
	["SHOWSCREEN"] = true;

	["SIMPLETOP"] = 0;

	["SIMPLEABOVE"] =
		{
		["TOP"] = (SCREENHEIGHT/2);
		["OFFSET"] = 140;
		};

	["SIMPLEBELOW"] =
		{
		["TOP"] = (SCREENHEIGHT/2);
		["OFFSET"] = 130;
		};

	["MAINWIN"] =
		{
		["VISIBLE"] = true;
		["X"] = (Turbine.UI.Display.GetWidth()/2)-225;
		["Y"] = Turbine.UI.Display.GetHeight()/3;
		};

	["MORALE"] =
		{
		["COLOR"] = Turbine.UI.Color.LimeGreen;
		["OPACITY"] = 0.8;
		};

	["POWER"] =
		{
		["COLOR"] = Turbine.UI.Color.DodgerBlue;
		["OPACITY"] = 0.8;
		};

	["FURY"] =
		{
		["COLOR"] = Turbine.UI.Color.Red;
		["OPACITY"] = 0.8;
		};

	};

